import 'package:flutter/material.dart';

class MyCircularProgressIndicator extends StatelessWidget {
  final Color backgroundColor;

  const MyCircularProgressIndicator({
    super.key,
    this.backgroundColor = Colors.transparent,
  });

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        width: 110,
        height: 110,
        decoration: BoxDecoration(
          color: backgroundColor,
          shape: BoxShape.circle,
        ),
        child: Stack(
          children: [
            const Center(child: CircularProgressIndicator()),
            Column(
              children: [
                Align(
                  alignment: Alignment.center,
                  child: Image.asset('assets/images/logo.png'),
                ),
              ],
            ),
          ],
        ),
      ),
    );
  }
}
